#! /usr/bin/env python

import pyfplo.wanniertools as wt


# ===================================================================

if __name__ == '__main__':


    wdc=wt.WanDefCreator(rcutoff=40,wftol=0.001,coeffformat='bin',
                         wfgriddirections=[[2,0,0],[0,2,0],[0,0,2]],
                         wfgridsubdiv=[1,1,1],savespininfo=True,printT=False,
                         wfinrealspace=True,wfcoeffstats=True,hamtstats=True)

    emin=-9
    emax= -1
    delower=1
    deupper=15

    wdc.add(wt.MultipleOrbitalWandef('Fe',[1],['3db','4sb','4pb'],
                                  emin=emin,emax=emax,
                                  delower=delower,deupper=deupper))

    wdc.writeFile('=.wandef')

    

